%define         upstream_name Stacer

Name:           stacer
Version:        1.1.0
Release:        %mkrel 3
Summary:        Linux System Optimizer and Monitoring
Group:          Monitoring
License:        MIT
URL:            https://github.com/oguzhaninan/Stacer/
Source0:        https://github.com/oguzhaninan/Stacer/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(Qt5Charts)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  cmake

%description
Linux System Optimizer and Monitoring

%prep
%autosetup -n %{upstream_name}-%{version} -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.*



%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1659927
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1526291
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon May 13 2019 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1397617
- Update to version 1.1.0

* Tue Apr 02 2019 umeabot <umeabot> 1.0.9-4.mga7
+ Revision: 1384884
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.9-3.mga7
+ Revision: 1301182
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 daviddavid <daviddavid> 1.0.9-2.mga7
+ Revision: 1234393
- add patch to fix build with new Qt5 >= 5.11.0

* Tue Apr 10 2018 kekepower <kekepower> 1.0.9-1.mga7
+ Revision: 1217314
- imported package stacer

